Skip to main content
POST
Persist firmware compliance record (internal)

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string<uuid>
required

A UUID string identifying this Firmware Verification Run.

Query Parameters

dry_run
boolean

Validate policy-2.0 evidence without creating a compliance record.

Response

Validation result and optional record identity returned to the Temporal worker.

id
string<uuid> | null
required
read-only
dry_run
boolean
required
read-only
compliance_status
enum<string>
required
  • compliant - COMPLIANT
  • non_compliant - NON_COMPLIANT
  • partial - PARTIAL
  • stale - STALE
  • unknown - UNKNOWN
Available options:
compliant,
non_compliant,
partial,
stale,
unknown